%define anolis_release  1
%global provider        github
%global provider_tld    com
%global project         containerd
%global repo            nerdctl
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}
%global debug_package   %{nil}

Name:           nerdctl
Version:        1.1.0
Release:        %{anolis_release}%{?dist}
Summary:        Docker-compatible CLI for containerd
License:        Apache-2.0
URL:            https://github.com/containerd/nerdctl
Source0:        %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang >= 1.18
Requires:       containerd
Requires:       slirp4netns >= 0.4.0
Requires:       containernetworking-plugins
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
nerdctl is a Docker-compatible CLI for containerd.

%prep
%setup -qa1

%build
CGO_ENABLED=0
go build -mod=vendor -ldflags "-X 'github.com/containerd/nerdctl/pkg/version.Version=v%{version}'" -buildmode=pie -o _output/nerdctl %{provider_prefix}/cmd/nerdctl

%install
mkdir -p %{buildroot}%{_bindir}/
install -m 0755 _output/nerdctl %{buildroot}%{_bindir}/nerdctl
install -m 0755 extras/rootless/containerd-rootless-setuptool.sh %{buildroot}%{_bindir}/containerd-rootless-setuptool.sh
install -m 0755 extras/rootless/containerd-rootless.sh %{buildroot}%{_bindir}/containerd-rootless.sh

%files
%license LICENSE
%doc docs/*.md
%{_bindir}/nerdctl
%{_bindir}/containerd-rootless-setuptool.sh
%{_bindir}/containerd-rootless.sh

%changelog
* Fri Jan 06 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.1.0-1
- Update nerdctl to 1.1.0

* Tue Sep 20 2022 yuanhui <yuanhui@linux.alibaba.com> - 0.23.0-1
- Update nerdctl to 0.23.0

* Thu Jul 29 2022 Yuanhong Peng <yummypeng@linux.alibaba.com> - 0.22.0-4
- Replace cni-plugins with containernetworking-plugins

* Thu Jul 28 2022 Yuanhong Peng <yummypeng@linux.alibaba.com> - 0.22.0-3
- Add back cni-plugins as dependency as we have this package now

* Thu Jul 28 2022 yuanhui <yuanhui@linux.alibaba.com> - 0.22.0-2
- Fixed error of failed dependencies

* Tue Jul 26 2022 yuanhui <yuanhui@linux.alibaba.com> - 0.22.0-1
- Init nerdctl for Anolis OS
